# Uses of Interface
com.sun.source.tree.ArrayTypeTree

Packages that use ArrayTypeTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ArrayTypeTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type ArrayTypeTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitArrayType(ArrayTypeTree node, P p)`
Visits an ArrayTypeTree node.

## Uses of ArrayTypeTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ArrayTypeTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitArrayType(ArrayTypeTree node, P p)`
Visits an ArrayTypeTree node.
`R`
TreeScanner.`visitArrayType(ArrayTypeTree node, P p)`
Visits an ArrayTypeTree node.